BMA EHR API Document

Loading...
Searching...
No Matches
Properties | List of all members
BMA.EHR.Domain.Models.Placement.Placement Class Reference
Inheritance diagram for BMA.EHR.Domain.Models.Placement.Placement:

## Properties
string | Name = string.Empty`[get, set]`
string | Round = string.Empty`[get, set]`
int | Year`[get, set]`
int | Number = 0`[get, set]`
PlacementType | PlacementType`[get, set]`
DateTime | StartDate`[get, set]`
DateTime | EndDate`[get, set]`
bool | IsActive = true`[get, set]`
virtual List< PlacementProfile > | PlacementProfiles = new List<PlacementProfile>()`[get, set]`
Properties inherited from BMA.EHR.Domain.Models.Base.EntityBase
Guid | Id`[get, set]`
DateTime | CreatedAt = DateTime.Now`[get, set]`
string | CreatedUserId = string.Empty`[get, set]`
DateTime? | LastUpdatedAt`[get, set]`
string | LastUpdateUserId = string.Empty`[get, set]`
string | CreatedFullName = string.Empty`[get, set]`
string | LastUpdateFullName = string.Empty`[get, set]`

## Property Documentation

## ◆ EndDate

DateTime BMA.EHR.Domain.Models.Placement.Placement.EndDate
| get set

## ◆ IsActive

bool BMA.EHR.Domain.Models.Placement.Placement.IsActive = true
| get set

## ◆ Name

string BMA.EHR.Domain.Models.Placement.Placement.Name = string.Empty
| get set

## ◆ Number

int BMA.EHR.Domain.Models.Placement.Placement.Number = 0
| get set

## ◆ PlacementProfiles

virtual List<PlacementProfile> BMA.EHR.Domain.Models.Placement.Placement.PlacementProfiles = new List<PlacementProfile>()
| get set

## ◆ PlacementType

PlacementType BMA.EHR.Domain.Models.Placement.Placement.PlacementType
| get set

## ◆ Round

string BMA.EHR.Domain.Models.Placement.Placement.Round = string.Empty
| get set

## ◆ StartDate

DateTime BMA.EHR.Domain.Models.Placement.Placement.StartDate
| get set

## ◆ Year

int BMA.EHR.Domain.Models.Placement.Placement.Year
| get set

The documentation for this class was generated from the following file:

- BMA.EHR.Domain/Models/Placement/Placement.cs